For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
    • Introduction
  • SAML (Enterprise SSO)
    • SAML Quickstart
    • SAML: A technical primer
    • Integrating SAML with your Login UI
    • Handling SAML Logins + JIT Provisioning
  • SCIM (Enterprise Directory Sync)
    • SCIM Quickstart
  • SDKs
    • TypeScript SDK
    • Python SDK
    • Go SDK
    • Java SDK
    • C# SDK
    • Ruby SDK
    • PHP SDK
  • SAML-over-OAuth
    • SAML over OAuth (SAML NextAuth.js integration)
    • SAML for Firebase
  • IDP configuration
    • Enabling self-service configuration for your customers
  • SSOReady concepts
    • Overview
    • Environments
    • Organizations
    • SAML Connections
    • SAML Login Flows
    • SCIM Directories
    • SCIM Users
    • SCIM Groups
    • SCIM Request Logs
  • Management API
    • Management API
  • DummyIDP
    • Testing SAML/SCIM with DummyIDP
  • Self-Hosting
    • Self-Hosting SSOReady
  • API Reference
        • GETList Organizations
        • POSTCreate Organization
        • GETGet Organization
        • PATCHUpdate Organization
Login
Logo
API ReferenceManagement APIOrganizations

List Organizations

GET
https://api.ssoready.com/v1/organizations
GET
/v1/organizations
$curl https://api.ssoready.com/v1/organizations \
> -H "Authorization: Bearer <apiKey>"
200Retrieved
1{
2 "organizations": [
3 {
4 "id": "id",
5 "environmentId": "environmentId",
6 "displayName": "displayName",
7 "externalId": "externalId",
8 "domains": [
9 "domains"
10 ]
11 }
12 ],
13 "nextPageToken": "nextPageToken"
14}
Gets a list of organizations.
Was this page helpful?
Previous

Create Organization

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

pageTokenstringOptional
Pagination token. Leave empty to get the first page of results.

Response

OK
organizationslist of objects
List of organizations.
nextPageTokenstring

Value to use as pageToken for the next page of data. Empty if there is no more data.